Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.operations
Interface FileOperationProvider

All Known Implementing Classes:
  AbstractFileOperationProvider

public interface FileOperationProvider

FileOperationProvider is responsible for dealing with FileOperation's.

Since:
  0.1
Author:
  Siarhei Baidun

Method Summary
`void` | `collectOperations(Collection operationsList, FileObject file)` Gather available operations for the specified FileObject and put them into specified operationsList.
`FileOperation` | `getOperation(FileObject file, Class operationClass)`

Method Detail

### collectOperations

    public void collectOperations(Collection operationsList,
                                  FileObject file)
                           throws FileSystemException

  Gather available operations for the specified FileObject and put them into specified operationsList.

  Parameters:
    `operationsList` - the list of available operations for the specivied FileObject. The operationList contains classes of available operations, e.g. Class objects.
    `file` - the FileObject for which we want to get the list of available operations.
  Throws:
    `FileSystemException` - if list of operations cannto be retrieved.

### getOperation

    public FileOperation getOperation(FileObject file,
                                      Class operationClass)
                               throws FileSystemException

  Parameters:
    `file` - the FileObject for which we need a operation.
    `operationClass` - the Class which instance we are needed.
  Returns:
    the requried operation instance. s
  Throws:
    `FileSystemException` - if operation cannot be retrieved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.